# Get organizations

`GET /v1/organizations`

Available as MCP tool `get-organizations` (Read).

Organization endpoints allow you to review details about your Redox organization.  

Currently, you can retrieve details for any organization(s) you’re a member of.

### Get organizations

Retrieve a list of Redox organizations that you’re a member of. You can use this query to find organization IDs. 

The response contains the details for each Redox organization.

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `_page` | query | number | No | Indicates a specific page of results to return. This value typically comes from a previous response's `page` object. |
| `_count` | query | number | No | Defines the number of results to return per page. The maximum value per page is 50. |
| `searchTerm` | query | string | No | Uses the specified term to find a matching Redox organization name. This is a case-insensitive partial match. |

## Request example

```bash
curl 'https://api.redoxengine.com/platform/v1/organizations' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json'
```

## Responses

### 200

Contains a payload with a paginated list of organizations the user belongs to.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No | Contains metadata about paginated results of returned data. |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `meta.totalRecords` | number | No | Specifies the total number of records across all pages for the result set. |
| `meta.links` | object | No |  |
| `meta.links.self` | string | No | Links to the current page of results. |
| `meta.links.next` | string | No | Links to the next page of results. |
| `meta.links.prev` | string | No | Links to the previous page of results, which returns the page based on the current page you're on. |
| `meta.links.first` | string | No | Links to the first page of results. |
| `meta.links.last` | string | No | Links to the last page of results. |
| `meta.currentPage` | number | No | Specifies the current page number. |
| `meta.pageType` | string | No | Describes the pagination algorithm. Value: offest |
| `meta.pageSize` | number | No | Describes the number of records included in each page of the current result set. |
| `payload` | object | No | Contains the list of matching Redox organizations. |
| `payload.organizations` | Array of object | No | Lists all the Redox organization(s) the specified user is part of. |
| `payload.organizations[].id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.organizations[].name` | string | No | Contains the human-readable name of the organization. |
| `payload.total` | number | No | The total number of organizations matching the query across all pages. |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "meta": {
    "version": "1.0.0",
    "totalRecords": 0,
    "links": {
      "self": "string",
      "next": "string",
      "prev": "string",
      "first": "string",
      "last": "string"
    },
    "currentPage": 1,
    "pageType": "offest",
    "pageSize": 0
  },
  "payload": {
    "organizations": [
      {
        "id": 122,
        "name": "Acme Health Systems"
      }
    ],
    "total": 87
  }
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.id` | string | No | Contains a unique identifier for the given error instance. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```

### 403

Forbidden

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.errors` | Array of object | No |  |
| `payload.errors[].title` | string | No | Displays the high-level error message, typically something succinct like `Forbidden`. |
| `payload.errors[].code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |

```json
{
  "payload": {
    "errors": [
      {
        "title": "Forbidden",
        "code": "authorization.forbidden"
      }
    ]
  }
}
```

### 500

Internal Server Error

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Failed in step X`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Internal Server Error",
      "code": "failed.db.lookup",
      "detail": "Error details",
      "status": 500,
      "transient": true
    }
  }
}
```
